aboutsummaryrefslogtreecommitdiffstats
path: root/examples/plan
diff options
context:
space:
mode:
authorJeremias Maerki <jeremias@apache.org>2004-02-27 19:20:14 +0000
committerJeremias Maerki <jeremias@apache.org>2004-02-27 19:20:14 +0000
commitf2755e993ea1f3a883463febde7eca6d6d3f30fe (patch)
treeac3794d4f1a9d2ecf95283dd144abf7a5aaae832 /examples/plan
parent4334b4f382bb6618589409dbe9759d0348932abe (diff)
downloadxmlgraphics-fop-f2755e993ea1f3a883463febde7eca6d6d3f30fe.tar.gz
xmlgraphics-fop-f2755e993ea1f3a883463febde7eca6d6d3f30fe.zip
Applied Apache License Version 2.0 by following the instructions at http://www.apache.org/dev/apply-license.html.
git-svn-id: https://svn.apache.org/repos/asf/xmlgraphics/fop/trunk@197392 13f79535-47bb-0310-9956-ffa450edef68
Diffstat (limited to 'examples/plan')
-rwxr-xr-xexamples/plan/build.bat67
-rw-r--r--examples/plan/build.sh60
-rw-r--r--examples/plan/build.xml17
3 files changed, 102 insertions, 42 deletions
diff --git a/examples/plan/build.bat b/examples/plan/build.bat
index 328fbef47..3b0db54ff 100755
--- a/examples/plan/build.bat
+++ b/examples/plan/build.bat
@@ -1,35 +1,50 @@
@echo off
-
-echo Plan Build System
-echo -------------------
-
-if "%JAVA_HOME%" == "" goto error
-
-set LIBDIR=..\..\lib
-set LOCALCLASSPATH=%JAVA_HOME%\lib\tools.jar;%JAVA_HOME%\lib\classes.zip
-set LOCALCLASSPATH=%LOCALCLASSPATH%;%LIBDIR%\ant.jar
-set LOCALCLASSPATH=%LOCALCLASSPATH%;%LIBDIR%\xml-apis.jar
-set LOCALCLASSPATH=%LOCALCLASSPATH%;%LIBDIR%\xercesImpl-2.2.1.jar
-set LOCALCLASSPATH=%LOCALCLASSPATH%;%LIBDIR%\xalan-2.4.1.jar
-
-set ANT_HOME=%LIBDIR%
-
-echo Building with classpath %LOCALCLASSPATH%
-
-echo Starting Ant...
-
-%JAVA_HOME%\bin\java.exe -Dant.home=%ANT_HOME% -classpath "%LOCALCLASSPATH%" org.apache.tools.ant.Main %1 %2 %3 %4 %5
+REM Copyright 1999-2004 The Apache Software Foundation
+REM
+REM Licensed under the Apache License, Version 2.0 (the "License");
+REM you may not use this file except in compliance with the License.
+REM You may obtain a copy of the License at
+REM
+REM http://www.apache.org/licenses/LICENSE-2.0
+REM
+REM Unless required by applicable law or agreed to in writing, software
+REM distributed under the License is distributed on an "AS IS" BASIS,
+REM WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+REM See the License for the specific language governing permissions and
+REM limitations under the License.
+REM
+REM $Id$
+
+echo Apache FOP: Build System for plan extension
+echo ---------------------------------------------
+
+if "%JAVA_HOME%" == "" goto no_java_home
+if "%ANT_HOME%" == "" goto no_ant_home
+
+call %ANT_HOME%\bin\ant.bat %1 %2 %3 %4 %5 %6 %7 %8
goto end
-:error
-
+:no_java_home
echo ERROR: JAVA_HOME not found in your environment.
echo Please, set the JAVA_HOME variable in your environment to match the
echo location of the Java Virtual Machine you want to use.
+goto end
-:end
-
-rem set LOCALCLASSPATH=
+:no_ant_home
+echo ERROR: ANT_HOME not found in your environment.
+echo Please install Apache Ant first. FOP uses Ant as its build system.
+echo You can download Apache Ant from http://ant.apache.org
+echo 1. Download and install Ant
+echo 2. Set the ANT_HOME environment variable to the directory where you've
+echo placed Ant.
+echo 3. Add "%%ANT_HOME%%\bin" to your PATH so the "ant.bat" batch file
+echo can be executed from wherever needed.
+echo 4. (optional) Download JUnit and place junit-*.jar in %%ANT_HOME%%\lib.
+echo This enables the JUnit test cases.
+echo You will now be directed to the Apache Ant website...
+pause
+start http://ant.apache.org
+goto end
-pause \ No newline at end of file
+:end
diff --git a/examples/plan/build.sh b/examples/plan/build.sh
index 180a65190..4225ac51e 100644
--- a/examples/plan/build.sh
+++ b/examples/plan/build.sh
@@ -1,7 +1,25 @@
#!/bin/sh
+# Copyright 1999-2004 The Apache Software Foundation
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# $Id$
+
+# This file should be executable.
+
echo
-echo "Plan Build System"
-echo "----------------"
+echo "Apache FOP: Build System for plan extension"
+echo "---------------------------------------------"
echo
if [ "$JAVA_HOME" = "" ] ; then
@@ -11,20 +29,32 @@ if [ "$JAVA_HOME" = "" ] ; then
echo "location of the Java Virtual Machine you want to use."
exit 1
fi
-LIBDIR=../../lib
-LOCALCLASSPATH=$JAVA_HOME/lib/tools.jar:$JAVA_HOME/lib/classes.zip
-LOCALCLASSPATH=$LOCALCLASSPATH:$LIBDIR/ant.jar
-LOCALCLASSPATH=$LOCALCLASSPATH:$LIBDIR/xml-apis.jar
-LOCALCLASSPATH=$LOCALCLASSPATH:$LIBDIR/xercesImpl-2.2.1.jar
-LOCALCLASSPATH=$LOCALCLASSPATH:$LIBDIR/xalan-2.4.1.jar
-ANT_HOME=$LIBDIR
-echo
-CP=$LOCALCLASSPATH
-echo Building with classpath $CP
+if [ "$ANT_HOME" = "" ] ; then
+ echo "ERROR: ANT_HOME not found in your environment."
+ echo
+ echo "Please install Apache Ant first. FOP uses Ant as its build system."
+ echo "You can download Apache Ant from http://ant.apache.org"
+ echo "1. Download and install Ant"
+ echo "2. Set the ANT_HOME environment variable to the directory where you've"
+ echo " placed Ant."
+ echo "3. Add "\$ANT_HOME/bin" to your PATH so the "ant" script file"
+ echo " can be be executed from wherever needed."
+ echo "4. (optional) Download JUnit and place junit-*.jar in \$ANT_HOME/lib."
+ echo " This enables the JUnit test cases."
+ exit 1
+fi
+# OS specific support. $var _must_ be set to either true or false.
+cygwin=false;
+case "`uname`" in
+ CYGWIN*) cygwin=true ;;
+esac
-echo Starting Ant...
-echo
+# For Cygwin, ensure paths are in UNIX format before anything is touched
+if $cygwin ; then
+ [ -n "$ANT_HOME" ] &&
+ ANT_HOME=`cygpath --unix "$ANT_HOME"`
+fi
+"$ANT_HOME"/bin/ant "$@"
-$JAVA_HOME/bin/java -Dant.home=$ANT_HOME -classpath "$CP" org.apache.tools.ant.Main $*
diff --git a/examples/plan/build.xml b/examples/plan/build.xml
index 9f65c4041..a3f68862b 100644
--- a/examples/plan/build.xml
+++ b/examples/plan/build.xml
@@ -1,5 +1,20 @@
<?xml version="1.0"?>
-
+<!--
+ Copyright 1999-2004 The Apache Software Foundation
+
+ Licensed under the Apache License, Version 2.0 (the "License");
+ you may not use this file except in compliance with the License.
+ You may obtain a copy of the License at
+
+ http://www.apache.org/licenses/LICENSE-2.0
+
+ Unless required by applicable law or agreed to in writing, software
+ distributed under the License is distributed on an "AS IS" BASIS,
+ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+ See the License for the specific language governing permissions and
+ limitations under the License.
+-->
+<!-- $Id$ -->
<!-- ===========================================================================
============================================================================ -->